# Uses of Class
java.io.PipedWriter

Packages that use PipedWriter
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of PipedWriter in java.io

Methods in java.io with parameters of type PipedWriter
Modifier and Type
Method
Description
`void`
PipedReader.`connect(PipedWriter src)`
Causes this piped reader to be connected to the piped writer `src`.
Constructors in java.io with parameters of type PipedWriter
Modifier
Constructor
Description
``
`PipedReader(PipedWriter src)`
Creates a `PipedReader` so that it is connected to the piped writer `src`.
``
`PipedReader(PipedWriter src, int pipeSize)`
Creates a `PipedReader` so that it is connected to the piped writer `src` and uses the specified pipe size for the pipe's buffer.